Bug 790938 - [RFE] Subscription-manager UI redesign
Summary: [RFE] Subscription-manager UI redesign
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: ---
Assignee: William Poteat
QA Contact: Entitlement Bugs
URL:
Whiteboard:
Depends On: 768419 772070
Blocks: 807971 771748 790939 818076
TreeView+ depends on / blocked
 
Reported: 2012-02-15 19:07 UTC by Mike Khusid
Modified: 2015-09-28 02:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Users can now set a service-level preference. this is useful during autosubscribe so that entitlements are granted from SKUs that provide the desired SLA. Reason: Result (if any):
Clone Of: 768419
: 818076 (view as bug list)
Environment:
Last Closed: 2013-01-08 03:49:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0033 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-01-08 08:38:27 UTC

Description Mike Khusid 2012-02-15 19:07:25 UTC
+++ This bug was initially created as a clone of Bug #768419 +++

Red Hat Customer Support has experienced a high level of customer calls regarding usability of the subscription manager. This RFE aims to address usability issues by redesigning the subscription manager GUI and adding new CLI options.

Comment 7 John Sefler 2012-09-10 14:24:07 UTC
Moving this bug to VERIFIED since the following versions of subscription-manager+ are actively being tested and contain all the implementation for the new ServiceLevel based Auto-subscribe components.  Problems encountered while testing this new feature against the CLI/GUI/firstboot are being opened under separate bugs.

# rpm -q subscription-manager subscription-manager-gui subscription-manager-firstboot
subscription-manager-1.0.17-1.el5
subscription-manager-gui-1.0.17-1.el5
subscription-manager-firstboot-1.0.17-1.el5

One feature in the wireframe design linked to in comment 1 that is not implemented is the ability to import an entitlement certificate from the local filesystem during the firstboot workflow.  Currently that step can be done using subscription-manager[-gui] after firstboot completes.  This issue can be re-raised under a separate RFE bugzilla. (OKay'ed offline with mreid).

Comment 9 errata-xmlrpc 2013-01-08 03:49:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0033.html


Note You need to log in before you can comment on or make changes to this bug.